Summary:	Plasma 5 search client module
Name:		milou
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5runner-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Plasma 5 search client module.

%files -f %{name}.lang
%{_kde5_services}/miloutextpreview.desktop
%{_kde5_servicetypes}/miloupreviewplugin.desktop
%{_appdatadir}/org.kde.milou.appdata.xml
%{_qt5_plugindir}/miloutextplugin.so

#----------------------------------------------------------------------------

%package -n plasma5-applet-%{name}
Summary:	Plasma 5 search client plasmoid
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n plasma5-applet-%{name}
Plasma 5 search client plasmoid.

%files -n plasma5-applet-%{name} -f plasma_applet_org.kde.milou.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.milou/
%{_kde5_datadir}/plasma/plasmoids/org.kde.milou/*
%{_kde5_services}/plasma-applet-org.kde.milou.desktop

#----------------------------------------------------------------------------

%define qmlmilou %mklibname milou-qml

%package -n %{qmlmilou}
Summary:	QML plugin for Plasma 5 search client shared library
Group:		System/Libraries
Requires:	kf5plasma-qml
Provides:	milou-qml = %{EVRD}

%description -n %{qmlmilou}
QML plugin for Plasma 5 search client shared library.

%files -n %{qmlmilou}
%dir %{_kde5_qmldir}/org/kde/milou/
%{_kde5_qmldir}/org/kde/milou/*

#----------------------------------------------------------------------------

%define milou_major 5
%define libmilou %mklibname milou %{milou_major}

%package -n %{libmilou}
Summary:	Plasma 5 search client shared library
Group:		System/Libraries
Requires:	%{qmlmilou}

%description -n %{libmilou}
Plasma 5 search client shared library.

%files -n %{libmilou}
%{_kde5_libdir}/libmilou.so.%{milou_major}*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name}
%find_lang plasma_applet_org.kde.milou

%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (d6c2f4c) New version 5.12.5

* Sat Apr 14 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.4-1
- (c1f1d12) New version 5.12.4

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (87679c8) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (ff28160) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (fc9db79) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (341eb2c) Update files
- (Andrey Bondrov: 2947ae6) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (eeae733) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (18c0abb) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (85787b6) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (1a29365) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (17ddea3) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (34fc996) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (2c0671b) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (db14445) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (6027a4f) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (f08bdf5) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (b9229ec) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (9ab8c4b) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (ee24dc7) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (652dcf0) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (5f0f565) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (b62ed67) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (d586232) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (37ee200) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (9616600) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (9629caa) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (46f5708) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (f2f0df1) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (0dda2c0) New version 5.4.0


